%define srcname notofonttools


%global common_desc \
The nototools python package contains python scripts \
used to maintain the Noto Fonts project, \
including the google.com/get/noto website.

Name:		nototools
Version:	0.2.20
Release:	%mkrel 1
Summary:	Noto fonts support tools and scripts plus web site generation
Group:		System/Fonts/True type

# In nototools source
## nototools code is in ASL 2.0 license
### third_party ucd code is in Unicode license
License:	ASL 2.0
URL:		https://github.com/googlefonts/nototools
Source0:	%pypi_source

BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Requires:	python3-nototools = %{version}-%{release}

%description
%common_desc

%package     -n python3-nototools
Summary:	Noto tools for python 3

%description -n python3-nototools
%common_desc

%prep
%setup -q -n %{srcname}-%{version}

# remove unneeded files
rm -rf third_party/{cldr,dspl,fontcrunch,ohchr,spiro,udhr,unicode}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

for lib in %{buildroot}%{python3_sitelib}/nototools/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
%pyproject_save_files nototools third_party

%check
# Comment it out for the moment because it tries to run something which fails
#%%pytest

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/add_vs_cmap.py
%{_bindir}/autofix_for_release.py
%{_bindir}/create_image.py
%{_bindir}/decompose_ttc.py
%{_bindir}/drop_hints.py
%{_bindir}/dump_otl.py
%{_bindir}/fix_khmer_and_lao_coverage.py
%{_bindir}/fix_noto_cjk_thin.py
%{_bindir}/generate_sample_text.py
%{_bindir}/merge_fonts.py
%{_bindir}/merge_noto.py
%{_bindir}/noto_lint.py
%{_bindir}/notocoverage
%{_bindir}/notodiff
%{_bindir}/scale.py
%{_bindir}/subset.py
%{_bindir}/subset_symbols.py
%{_bindir}/test_vertical_extents.py

%files -n python3-nototools -f %{pyproject_files}


%changelog
* Mon Jan 27 2025 papoteur <papoteur> 0.2.20-1.mga10
+ Revision: 2142810
- new version 0.2.20

* Thu Aug 29 2024 mrambo3501 <mrambo3501> 0.2.19-1.mga10
+ Revision: 2092120
- BR python3dist(pip)
- version 0.2.19
- fix files list

* Sat Jan 13 2024 daviddavid <daviddavid> 0.2.17-2.mga10
+ Revision: 2031057
- rebuild for py3.12
- switch to pyproject

* Fri Jan 06 2023 wally <wally> 0.2.17-1.mga9
+ Revision: 1930763
- new version 0.2.17

* Tue Mar 29 2022 umeabot <umeabot> 0.2.13-3.mga9
+ Revision: 1831563
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 wally <wally> 0.2.13-2.mga9
+ Revision: 1713605
- rebuild for python 3.9

* Sat Jan 02 2021 wally <wally> 0.2.13-1.mga8
+ Revision: 1668215
- new version 0.2.13 (sync with Fedora)

* Wed Sep 18 2019 tv <tv> 0.0.1-0.20190710.git9c4375f.2.mga8
+ Revision: 1443700
- rebuild for python-3.8
- drop python2 subpkg

* Sat Aug 03 2019 wally <wally> 0.0.1-0.20190710.git9c4375f.1.mga8
+ Revision: 1427184
- update to 20190710 git snapshot (sync with Fedora)
- add python3 support

* Sun Nov 18 2018 wally <wally> 0.0.1-0.20170928.git0c99dff.1.mga7
+ Revision: 1330909
- imported package nototools


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20170928.git0c99dff
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20170927.git0c99dff
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 18 2017 Peng Wu <pwu@redhat.com> - 0-0.20170926.git0c99dff
- Initial package
